> ## Documentation Index
> Fetch the complete documentation index at: https://api.veda.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Person By ID

<Info>
  While the endpoint itself supports the patch mechanism and individual fields can be transferred, this does not apply to the contents of those fields. For example, if only part of an address is transferred, it is stored exactly as it is, and any additional information is discarded.
</Info>


## OpenAPI

````yaml PATCH /api/v1/persons/{id}
openapi: 3.1.0
info:
  title: VEDA API
  description: >-
    The VEDA API is a unified API that provides access to various components of
    the VEDA HR Cloud. It simplifies the integration process by offering a
    single entry point for all API requests.
  contact:
    name: Tim Augustin
    email: tim.augustin@veda.net
  version: v1
servers: []
security: []
paths:
  /api/v1/persons/{id}:
    patch:
      tags:
        - employees-controller
      operationId: patchPerson
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PersonPatch'
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    PersonPatch:
      type: object
      properties:
        addresses:
          type: array
          description: >-
            Private addresses of the person. The first one will be be made the
            default and used for payroll and time employments.
          items:
            oneOf:
              - $ref: '#/components/schemas/Address'
              - $ref: '#/components/schemas/AddressPostOfficeBox'
        bankDetails:
          $ref: '#/components/schemas/BankDetails'
    Address:
      type: object
      properties:
        street:
          type: string
          description: |-
            1. Payroll Expert
            1. Platform - Excluding houseNumber
          examples:
            - Carl-Zeiss-Straße
          maxLength: 255
        houseNumber:
          type: string
          description: >-
            1. Payroll Expert (Formerly streetNumber)

            1. Platform - The house number is not a separate field here. The
            house number is automatically extracted from the address field
          examples:
            - '14'
          maxLength: 20
        additionalAddressInfo:
          type: string
          description: |-
            Apartment or suite information
            1. Payroll Expert (Formerly addressLine2)
            1. Platform
          maxLength: 255
        zipCode:
          type: string
          description: |-
            1. Payroll Expert (Formerly postalCode)
            1. Platform (Formerly postalCode)
          examples:
            - '52477'
          maxLength: 10
        city:
          type: string
          examples:
            - Alsdorf
          maxLength: 255
        stateCode:
          type: string
          format: ISO 3166-2
          description: |-
            1. Not available in Payroll Expert
            1. Platform (Formerly regionCode)
          examples:
            - DE-NW
          maxLength: 6
          minLength: 4
        country:
          type: string
          format: ISO 3166-1 alpha-2
          description: |-
            1. Payroll Expert
            1. Platform (Formerly countryCode)
          examples:
            - DE
          maxLength: 2
          minLength: 2
      title: StreetAddress
    AddressPostOfficeBox:
      type: object
      properties:
        additionalAddressInfo:
          type: string
          description: |-
            Apartment or suite information
            1. Payroll Expert (Formerly addressLine2)
            1. Platform
          maxLength: 255
        postOfficeBox:
          type: string
          description: >-
            If the post office box is filled, the street and house number fields
            must be empty

            1. Platform - Personal information > Personal contact information
          maxLength: 20
        zipCode:
          type: string
          description: >-
            1. Payroll Expert (Formerly postalCode)

            1. Platform - Personal information > Personal contact information
            (Formerly postalCode)
          examples:
            - '52477'
          maxLength: 10
        city:
          type: string
          examples:
            - Alsdorf
          maxLength: 255
        stateCode:
          type: string
          format: ISO 3166-2
          description: >-
            1. Platform - Personal information > Personal contact information
            (Formerly regionCode)
          examples:
            - DE-NW
          maxLength: 6
          minLength: 4
        country:
          type: string
          format: ISO 3166-1 alpha-2
          description: >-
            1. Payroll Expert

            1. Platform - Personal information > Personal contact information
            (Formerly countryCode)
          examples:
            - DE
          maxLength: 2
          minLength: 2
      title: PostOfficeBox
    BankDetails:
      type: object
      properties:
        iban:
          type: string
          description: >-
            International Bank Account Number

            For more information, see:
            https://wikipedia.org/wiki/International_Bank_Account_Number
          examples:
            - DE07123412341234123412
          maxLength: 34
          minLength: 5
          pattern: ^[A-Z]{2}\d{2}[A-Z\d]{1,30}$
        bic:
          type: string
          description: |-
            Business Identifier Code / SWIFT Code
            For more information, see: https://de.wikipedia.org/wiki/ISO_9362
          examples:
            - DEUTDEFF
          maxLength: 11
          minLength: 8
          pattern: ^[A-Z\d]{4}[A-Z]{2}[A-Z\d]{2}(?:[A-Z\d]{3})?$
        payee:
          type: string
          description: The name of the payee, if different from the person
          examples:
            - Hein Janmaat
          maxLength: 70

````